#include "qipeditplugin.h"

#include "qipedit.h"

#include <QtCore/QtPlugin>


QIPEditPlugin::QIPEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QIPEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QIPEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QIPEditPlugin::createWidget(QWidget * parent) {
	return new QIPEdit(parent);
}


QString QIPEditPlugin::name() const {
	return QLatin1String("QIPEdit");
}


QString QIPEditPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon QIPEditPlugin::icon() const {
	return QIcon();
}


QString QIPEditPlugin::toolTip() const {
	return QLatin1String("IP Edit");
}


QString QIPEditPlugin::whatsThis() const {
	return QLatin1String("IP Edit");
}


bool QIPEditPlugin::isContainer() const {
	return false;
}


QString QIPEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"QIPEdit\" name=\"ipEdit\">\n</widget>\n");
}


QString QIPEditPlugin::includeFile() const {
	return QLatin1String("qipedit.h");
}
